Download Pokemon Go Modded APK for Android ICS and Jelly Bean (4.0.X-4.3.X)

Rate this post

Pokemon Go is a power hungry Android game and it requires a powerful hardware and battery to operate properly. For running Pokemon Go, You not only need a powerful device but also need the latest operating system. If you have an old Android device running on Android 4.0.1, 4.0.2, 4.0.3, and 4.0.4 Ice Cream Sandwich or Android 4.1.2, 4.2.1 and 4.3 Jelly Bean then you can still play Pokemon Go thanks to a Reddit user. A reddit user has released a modded Pokemon Go application that allows you to run Pokemon Go on low-end devices.

We have tested this modded Pokemon Go on Android 4.0.4 and it worked perfectly. On some devices it may perform a bit laggy because of extremely outdated hardware but in most of the devices it will work perfectly. This modded Pokemon Go is based on the latest Pokemon Go 0.35.0 APK and the developer just has removed the Android version requirement.

pokemon go for low end devices

Download Pokemon Go 0.35.0 Modded APK for Ice Cream Sandwich and Jelly Bean:

  • Download Pokemon Go APK for Android 4.0-4.3.
  • Uninstall any previous version of the app, if you have one installed.
  • Place the downloaded APK on your Android device.
  • Now, Go to Settings > Security > Allow Unknown Sources. Check this option and now you can install APK files from other sources too.
  • Tap on the downloaded APK and start the installation process.
  • Once completed, Run Pokemon Go. Now You have Pokemon Go app installed which will work on ICS and Jelly Bean.